ICU 74.1 74.1

LocalUSimpleNumberFormatterPointer Class Reference

"Smart pointer" class; closes a USimpleNumberFormatter via usnumf_close(). More...

`#include <usimplenumberformatter.h>`

## Detailed Description

"Smart pointer" class; closes a USimpleNumberFormatter via usnumf_close().

For most methods see the LocalPointerBase base class.

Usage:

    LocalUSimpleNumberFormatterPointer uformatter(usnumf_openForLocale(...));
    // no need to explicitly call usnumf_close()

See also
  LocalPointerBase
  LocalPointer

Draft:
  This API may be changed in the future versions and was introduced in ICU 73

Definition at line 283 of file usimplenumberformatter.h.

The documentation for this class was generated from the following file:

- i18n/unicode/usimplenumberformatter.h